'use strict';

const jenkins = require ('./asset_jenkins');
const jenkinsfile = require ('./asset_jenkinsfile');

const files = { jenkins, jenkinsfile };

const scripts = {
  lint:    'eslint . --ext .js,.jsx,.ts,.tsx,.vue,.mjs',
  test:    {
    common: 'nyc ava',
    ts:     'tsc && nyc ava',
    no:     'echo "no test"'
  },
  compile: {
    common: 'tsc --allowJs --declaration --emitDeclarationOnly index.js',
    ts:     'tsc'
  }
};

module.exports = { files, scripts };
